#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ResourceAlreadyVersioned {
    #[serde(rename = "resourceRid")]
    resource_rid: conjure_object::ResourceIdentifier,
}
impl ResourceAlreadyVersioned {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(resource_rid: conjure_object::ResourceIdentifier) -> Self {
        Self::builder().resource_rid(resource_rid).build()
    }
    #[inline]
    pub fn resource_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.resource_rid
    }
}
impl conjure_error::ErrorType for ResourceAlreadyVersioned {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::Conflict
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:ResourceAlreadyVersioned"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["resourceRid"]
    }
}
